
Java Client - Task #1553

Story # 1551 (Closed): Refactor d1_common_java tests for MultipartRequestHandler

Modify MultipartRequestHandler to include HttpClient interface

2011-05-11 20:46 - Robert Waltz

Status: Closed Start date: 2011-05-11

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: CLJ-2.0.0   

Story Points:    

Description

MultipartRequest handler should include getter and setter methods for httpclient that conform to the interface definition instead of the

implementation of DefaultHttpClient. 

httpclient should be HttpClient instead of DefaultHttpClient.

might be good to add constructor to assign HttpClient as well, though that might be overkill. 

History

#1 - 2011-05-23 18:35 - Robert Waltz

- Assignee set to Rob Nahf

#2 - 2012-05-17 19:06 - Rob Nahf

- Milestone set to CCI-1.1

- Category changed from d1_cn_service to d1_common_java

- Target version set to Sprint-2012.19-Block.3.2

looks like a straightforward enhancement for the d1_common_java class.

#3 - 2012-10-08 17:18 - Rob Nahf

- Milestone changed from CCI-1.1 to None

#4 - 2012-10-08 17:18 - Rob Nahf

- Target version set to Sprint-2012.41-Block.6.1

#5 - 2012-10-16 22:07 - Rob Nahf

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

generalized the instance variable httpclient to HttpClient, added get/setters and constructor with HttpClient parameter.  Passes current tests.

#6 - 2012-10-24 18:12 - Rob Nahf

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#7 - 2012-12-12 19:01 - Rob Nahf

- Target version changed from Sprint-2012.44-Block.6.2 to 2013.4-Block.1.2
#8 - 2013-03-01 19:21 - Rob Nahf

- Target version changed from 2013.4-Block.1.2 to 2013.14-Block.2.3

#9 - 2013-05-23 18:03 - Rob Nahf

- Target version changed from 2013.14-Block.2.3 to 2013.20-Block.3.2

#10 - 2013-05-31 16:25 - Rob Nahf

- Target version changed from 2013.20-Block.3.2 to 2013.22-Block.3.3

#11 - 2013-08-07 19:26 - Rob Nahf

- Target version changed from 2013.22-Block.3.3 to 2013.30-Block.4.3

#12 - 2013-08-14 18:25 - Dave Vieglais

- Target version deleted (2013.30-Block.4.3)

#13 - 2014-10-01 19:41 - Robert Waltz

- Target version set to CCI-2.0.0
